<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Firma\BayerischerApothekertag\AnmeldeFormular;

class AnmeldeFormularView extends \Kufer\Web\KuferTools\Basis\View\ViewSight
{
  public function getTemplatePathRelative()
  {
    return 'firma/bayerischer_apothekertag/anmeldeformular.sgt';
  }

  protected function getHeaderDataModulArray()
  {
    $dm = new \Datamodul();
    $dm->mitarbeiterSucheAllowed = $this->viewModel->mitarbeiterSucheAllowed;
    $dm->jsData = $this->viewModel->jsData;
    $dm->gebuehr = $this->viewModel->gebuehr;
    $knrAry = \ArrayOperations::mapAttribut($this->viewModel->kurse, 'id');
    $dm->knrs = implode(':', $knrAry);

    return array($dm);
  }

  protected function getBodyDataModulArray()
  {
    $this->viewModel->teilnehmer->jsData = $this->viewModel->jsData;

    return array($this->viewModel->teilnehmer);
  }

  protected function getBodyExportAdapter()
  {
    return new \ExpTeilnehmer();
  }

  protected function getFooterDataModulArray()
  {
    $dm = new \Datamodul();
    foreach (get_object_vars($this->viewModel) as $key => $value) {
      $dm->{$key} = $value;
    }

    return array($dm);
  }
}

class AnmeldeFormularViewModel extends \Kufer\Web\KuferTools\Basis\View\BasisViewModel
{
  public $teilnehmer;
  public $kurse;
  public $gebuehr;
  public $mitarbeiterSucheAllowed;
  public $jsData;
}